-- Test acsi_option
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(27);

set search_path to camper, public;

select has_table('acsi_option');
select has_pk('acsi_option');
select col_is_pk('acsi_option', array['campsite_type_id', 'campsite_type_option_id', 'option_group']);
select table_privs_are('acsi_option', 'guest', array['SELECT']);
select table_privs_are('acsi_option', 'employee', array['SELECT']);
select table_privs_are('acsi_option', 'admin', array['SELECT', 'INSERT', 'UPDATE', 'DELETE']);
select table_privs_are('acsi_option', 'authenticator', array[]::text[]);

select has_column('acsi_option', 'campsite_type_id');
select col_is_fk('acsi_option', 'campsite_type_id');
select fk_ok('acsi_option', 'campsite_type_id', 'acsi', 'campsite_type_id');
select col_type_is('acsi_option', 'campsite_type_id', 'integer');
select col_not_null('acsi_option', 'campsite_type_id');
select col_hasnt_default('acsi_option', 'campsite_type_id');

select has_column('acsi_option', 'campsite_type_option_id');
select col_is_fk('acsi_option', 'campsite_type_option_id');
select fk_ok('acsi_option', 'campsite_type_option_id', 'campsite_type_option', 'campsite_type_option_id');
select col_type_is('acsi_option', 'campsite_type_option_id', 'integer');
select col_not_null('acsi_option', 'campsite_type_option_id');
select col_hasnt_default('acsi_option', 'campsite_type_option_id');

select has_column('acsi_option', 'option_group');
select col_type_is('acsi_option', 'option_group', 'integer');
select col_not_null('acsi_option', 'option_group');
select col_hasnt_default('acsi_option', 'option_group');

select has_column('acsi_option', 'units');
select col_type_is('acsi_option', 'units', 'positive_integer');
select col_not_null('acsi_option', 'units');
select col_hasnt_default('acsi_option', 'units');


select *
from finish();

rollback;

